# -*- coding: utf-8 -*-
#Extracting requrements from requirements.txt
# with open('requirements.txt') as f:
#     requirements = f.read().splitlines()

# from Cython.Build import cythonize
from setuptools import setup, find_packages


def setup_package():
    setup(

    name='summit',
    version=0.0,
    python_requires = '>=3.5',
    packages=find_packages(),
    author="Baptiste Bauvin",
    author_email="baptiste.bauvin@lis-lab.fr",
    description="Supervised MultiModal Integration Tool",
    long_description=open('README.rst').read(),
    include_package_data=True,
    url='http://gitlab.lis-lab.fr/baptiste.bauvin/summit/',
    install_requires=['h5py>=2.9.0', 'joblib>=0.13.2', 'numpy>=1.16.4',
                      'pyparsing>=2.4.0', 'python-dateutil>=2.8.0',
                      'scikit-learn>=0.19.0', 'scipy>=1.3.0', 'six>=1.12.0',
                      'pandas>=0.23.3', 'pyyaml>=3.12', 'plotly>=4.2.1',
                      'matplotlib>=3.1.1', 'tabulate>=0.8.6', 'pyscm-ml>=1.0.0',
                      "randomscm @ git+https://github.com/thibgo/randomscm.git#egg=randomscm",
                      "imbalanced-learn"],
    extras_require={
            'dev': ['pytest', 'pytest-cov'],
            'doc': ['sphinx >= 3.0.2', 'numpydoc', 'docutils', 'sphinx-autoapi',
                    'sphinx_rtd_theme']},
    classifiers=[
        "Programming Language :: Python",
        "Development Status :: 1 - Planning",
        "License :: OSI Approved",
        "Natural Language :: French",
        "Operating System :: OS Independent",
        "Programming Language :: Python :: 2/3",
        "Topic :: Machine Learning",
    ],
    license="GNUGPL",
)

if __name__ == "__main__":
    setup_package()
